Run several Actions
curl --request POST \
--url https://api.arg.ai/api/workspaces/{workspaceId}/actions/run-batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"calls": [
{
"actionId": "<string>",
"input": {},
"idempotencyKey": "<string>"
}
]
}
'import requests
url = "https://api.arg.ai/api/workspaces/{workspaceId}/actions/run-batch"
payload = { "calls": [
{
"actionId": "<string>",
"input": {},
"idempotencyKey": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({calls: [{actionId: '<string>', input: {}, idempotencyKey: '<string>'}]})
};
fetch('https://api.arg.ai/api/workspaces/{workspaceId}/actions/run-batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{}{
"detail": "<string>"
}Actions
Run several Actions
Run up to the per-batch limit of Action calls in one request. Not a transaction: every call reports its own outcome and the response is 200 even when some fail.
POST
/
api
/
workspaces
/
{workspaceId}
/
actions
/
run-batch
Run several Actions
curl --request POST \
--url https://api.arg.ai/api/workspaces/{workspaceId}/actions/run-batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"calls": [
{
"actionId": "<string>",
"input": {},
"idempotencyKey": "<string>"
}
]
}
'import requests
url = "https://api.arg.ai/api/workspaces/{workspaceId}/actions/run-batch"
payload = { "calls": [
{
"actionId": "<string>",
"input": {},
"idempotencyKey": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({calls: [{actionId: '<string>', input: {}, idempotencyKey: '<string>'}]})
};
fetch('https://api.arg.ai/api/workspaces/{workspaceId}/actions/run-batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{}{
"detail": "<string>"
}Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Calls to run.
Show child attributes
Show child attributes
Response
Successful response
The response is of type object.